{% extends "layout.html" %}                                                                                                                                   
{% block content %}                                                                                                                                           
                                                                                                                                                              
<div class="container-fluid">                                                                                                                                 
<h1>Dashboard</h1>                                                                                                                                            
</div>                                                                                                                                                        
                                                                                                                                                              
<div class="container-fluid">                                                                                                                                 
  <div class="row">                                                                                                                                           
    <div class="col-sm">                                                                                                                                      
      <div class="card cardi" style="width: 18rem;">                                                                                                          
        <div class="card-body">                                                                                                                               
          <h5 class="card-title">Create Project</h5>                                                                                                          
          <p class="card-text">You completed your project? Now it's Time to show the world what you've made! Click the link and complete the form.</p>        
          <a href="/createproject" class="card-link">Submit project!</a>                                                                                      
        </div>                                                                                                                                                
      </div>                                                                                                                                                  
    </div>                                                                                                                                                    
    <div class="col-sm">                                                                                                                                      
      <div class="card cardi" style="width: 18rem;">                                                                                                          
        <div class="card-body">                                                                                                                               
          <h5 class="card-title">Join Project</h5>                                                                                                            
          <p class="card-text">Working on a Team? Join your Team using the team code you are provided to be featured in the project page and have edit privileges.</p>                                                                                                                                                      
          <a href="/jointeam" class="card-link">Join project!</a>                                                                                             
        </div>                                                                                                                                                
      </div>                                                                                                                                                  
    </div>                                                                                                                                                    
  </div>                                                                                                                                                      
</div>                                                                                                                                                        
                                                                                                                                                              
<hr></hr>                                                                                                                                                     
                                                                                                                                                              
<div class="container-fluid">
    <h1>Your Projects</h1>
</div>


{% if submissions %}
<div class="container-fluid">
  <div class="row">
      {% for submission in submissions %}
  <div class="col-sm">
    <div class="card cardi" style="width: 18rem;">
      <div class="card-body">
        <h5 class="card-title">{{submission.name}}</h5>
            <h6 class="card-subtitle mb-2 text-muted">Team Code: {{submission.code}}</h6>
        <p class="card-text">{{submission.shortDesc}}</p>
        <a href="/projects/{{submission.id}}" class="card-link">Visit Project!</a>
        <a href="/editproject/{{submission.id}}" class="card-link">Edit Project!</a>
      </div>
    </div>
  </div>
    {% endfor %}
{% else %}
<div class="container-fluid">
    <h1>You haven't submitted any projects yet! </h1>
</div>
{% endif %}

<div class="container-fluid">
    <hr></hr>
</div>

<div class="container-fluid">
    <h1>Projects you are part of</h1>
</div>

{% if teams %}
<div class="container-fluid">
  <div class="row">
      {% for team in teams %}
  <div class="col-sm">
    <div class="card cardi" style="width: 18rem;">
      <div class="card-body">
        <h5 class="card-title">{{projects[team.projectId-1].name}}</h5>
            <h6 class="card-subtitle mb-2 text-muted">Team Code: {{projects[team.projectId-1].code}}</h6>
        <p class="card-text">{{projects[team.projectId-1].shortDesc}}</p>
        <a href="/projects/{{projects[team.projectId-1].id}}" class="card-link">Visit Project!</a>
        <a href="/editproject/{{projects[team.projectId-1].id}}" class="card-link">Edit Project!</a>
      </div>
    </div>
  </div>
    {% endfor %}
{% else %}
<div class="container-fluid">
    <h1>You aren't part of any projects yet! </h1>
</div>
{% endif %}
{% endblock %}
